#if !defined(AFX_PREFCONNECT_H__196C5E21_37F3_11D4_ACF2_00A0CC533D52__INCLUDED_)
#define AFX_PREFCONNECT_H__196C5E21_37F3_11D4_ACF2_00A0CC533D52__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PrefConnect.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPrefConnect dialog

class CPrefConnect : public CPropertyPage
{
	DECLARE_DYNCREATE(CPrefConnect)

// Construction
public:
	CPrefConnect();
	~CPrefConnect();

// Dialog Data
	//{{AFX_DATA(CPrefConnect)
	enum { IDD = IDD_PREF_CONNECT };
	CButton	m_chkDrop;
	CEdit	m_ebTimeout;
	CEdit	m_ebKeep;
	CButton	m_chkKeep;
	CEdit	m_ebIP;
	CButton	m_chkIP;
	CButton	m_chkSpeed;
	CButton	m_chkPort;
	CEdit	m_ebPort;
	CComboBox	m_cmbSpeed;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CPrefConnect)
	public:
	virtual BOOL OnApply();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	DWORD GetSpeedinBytes(CString);
	CString GetSpeedString(DWORD _dw_speed);

	CGnucleusDoc *Doc;

	// Generated message map functions
	//{{AFX_MSG(CPrefConnect)
	afx_msg void OnCheckIncomingPort();
	afx_msg void OnChangeEditIncomingPort();
	afx_msg void OnCheckSpeed();
	afx_msg void OnEditchangeComboSpeed();
	afx_msg void OnCheckIp();
	afx_msg void OnChangeEditIp();
	afx_msg void OnCheckKeepConnect();
	afx_msg void OnChangeEditKeep();
	afx_msg void OnChangeEditTimeout();
	afx_msg void OnCheckDrop();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PREFCONNECT_H__196C5E21_37F3_11D4_ACF2_00A0CC533D52__INCLUDED_)
