// ViewConnect.h : interface of the CViewConnect class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_VIEWCONNECT_H__1AE2E5D2_1AB4_11D4_ACF2_00A0CC533D52__INCLUDED_)
#define AFX_VIEWCONNECT_H__1AE2E5D2_1AB4_11D4_ACF2_00A0CC533D52__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ListCtrlEx.h"

class CViewConnect : public CFormView
{
protected: // create from serialization only
	CViewConnect();
	DECLARE_DYNCREATE(CViewConnect)

	BOOL AddConnect(CString Host, CString Port);

public:
	//{{AFX_DATA(CViewConnect)
	enum { IDD = IDD_VIEW_CONNECT };
	CComboBox	m_cbxHost;
	CButton	m_btnAdd;
	CButton	m_btnRemove;
	CEdit	m_ebPort;
	CStatic	m_stcConnect;
	CListCtrlEx	m_lstCache;
	CListCtrlEx	m_lstConnected;
	CButton	m_stcAdd;
	CStatic	m_stcExist;
	CStatic	m_stcHost;
	CStatic	m_stcPort;
	//}}AFX_DATA

// Attributes
public:
	int oneSec;

	CGnucleusDoc* GetDocument();

// Operations
public:
	void RemoveFirstNode();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CViewConnect)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CViewConnect();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	BOOL ConnectRandomNode();
	UINT UpdateTimer;

	CButton   *btnSearch;
	CComboBox *cbKeyword;
	CComboBox *cbSpeed;

// Generated message map functions
protected:
	//{{AFX_MSG(CViewConnect)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnButtonAdd();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnButtonRemove();
	afx_msg void OnDblclkLstConnected(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnDblclkLstCache(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnKillfocusLstConnected(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnEditPaste();
	afx_msg void OnChangeEditPort();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in ViewConnect.cpp
inline CGnucleusDoc* CViewConnect::GetDocument()
   { return (CGnucleusDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VIEWCONNECT_H__1AE2E5D2_1AB4_11D4_ACF2_00A0CC533D52__INCLUDED_)
