// Gnucleus.h : main header file for the GNUCLEUS application
//

#if !defined(AFX_GNUCLEUS_H__1AE2E5C8_1AB4_11D4_ACF2_00A0CC533D52__INCLUDED_)
#define AFX_GNUCLEUS_H__1AE2E5C8_1AB4_11D4_ACF2_00A0CC533D52__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols

//: Show animation effect on dialog box creation and destruction
void ShowAnimEffect( CWnd* pWnd, BOOL bOpen );

/////////////////////////////////////////////////////////////////////////////
// CGnucleusApp:
// See Gnucleus.cpp for the implementation of this class
//

class CGnucleusApp : public CWinApp
{
public:
	CGnucleusApp();

	CDocument *MasterDoc;

	CMultiDocTemplate* m_pConnectViewTemplate;
	CMultiDocTemplate* m_pNodeViewTemplate;
	CMultiDocTemplate* m_pSearchViewTemplate;
	CMultiDocTemplate* m_pSearchSpyViewTemplate;
	CMultiDocTemplate* m_pDebugViewTemplate;
	CMultiDocTemplate* m_pTransfersViewTemplate;

	CFrameWnd* ConnectFrame;
	CFrameWnd* TransferFrame;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGnucleusApp)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

// Implementation
	//{{AFX_MSG(CGnucleusApp)
	afx_msg void OnAppAbout();
	afx_msg void OnConnect();
	afx_msg void OnButtonSearch();
	afx_msg void OnDebug();
	afx_msg void OnDlgPrefs();
	afx_msg void OnTransfer();
	afx_msg void OnViewSearchspy();
	afx_msg void OnUpdateViewSearchSpy(CCmdUI *pui);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GNUCLEUS_H__1AE2E5C8_1AB4_11D4_ACF2_00A0CC533D52__INCLUDED_)
