#if !defined(AFX_PREFDIALOG_H__196C5E20_37F3_11D4_ACF2_00A0CC533D52__INCLUDED_)
#define AFX_PREFDIALOG_H__196C5E20_37F3_11D4_ACF2_00A0CC533D52__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PrefDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CPrefDialog

#include "PrefConnect.h"
#include "PrefSearch.h"
#include "PrefDownload.h"
#include "PrefUpload.h"
#include "PrefBandwidth.h"
#include "PrefLanguage.h"

// Define the size of the tree control in the preferences and other sizes.
#define PREF_TREE_WIDTH			150
#define PREF_TREE_MARGIN_TOP	10
#define PREF_TREE_MARGIN_LEFT	10
#define PREF_TREE_MARGIN_BOTTOM	60
#define PREF_TREE_MARGIN_RIGHT	10
#define PREF_TAB_OFFSET_UP		20

class CPrefDialog : public CPropertySheet
{
	DECLARE_DYNAMIC(CPrefDialog)

// Construction
public:
	CPrefDialog(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);
	CPrefDialog(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

// Attributes
public:
	CPrefConnect   m_TabConnect;
	CPrefSearch    m_TabSearch;
	CPrefDownload  m_TabDownload;
	CPrefUpload    m_TabUpload;
	CPrefBandwidth m_TabBandwidth;
	CPrefLanguage  m_TabLanguage;

	// New Control
	CTreeCtrl		m_Tree;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPrefDialog)
	public:
	virtual BOOL OnInitDialog();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CPrefDialog();

	// Generated message map functions
protected:
	afx_msg void OnApplyNow();
	afx_msg void OnSelchanged(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg LRESULT OnNotifyFormat(WPARAM wParam,LPARAM lParam);

	CRect m_rectPage;

	void AddPages();

	HICON m_hIcon;

	//{{AFX_MSG(CPrefDialog)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PREFDIALOG_H__196C5E20_37F3_11D4_ACF2_00A0CC533D52__INCLUDED_)
