#if !defined(AFX_VIEWNODE_H__1AE2E5DA_1AB4_11D4_ACF2_00A0CC533D52__INCLUDED_)
#define AFX_VIEWNODE_H__1AE2E5DA_1AB4_11D4_ACF2_00A0CC533D52__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ViewNode.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CViewNode form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

class CViewNode : public CFormView
{
protected:
	CViewNode();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CViewNode)

// Form Data
public:
	//{{AFX_DATA(CViewNode)
	enum { IDD = IDD_VIEW_NODE };
	CButton	m_chkQueryHits;
	CButton	m_chkPushes;
	CButton	m_chkUnknowns;
	CButton	m_chkTTL;
	CButton	m_chkQueries;
	CButton	m_chkPongs;
	CButton	m_chkDropped;
	CButton	m_chkGUID;
	CButton	m_chkHops;
	CButton	m_chkPayload;
	CButton	m_chkPings;
	CEdit	m_ebLog;
	CString	m_strNodeBadStat;
	CString	m_strNodeRecivedStat;
	CString	m_strNodeSentStat;
	//}}AFX_DATA

// Attributes
public:
	CString HostPort;
	CGnuSock *Node;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CViewNode)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	UINT UpdateTimer;

	virtual ~CViewNode();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CViewNode)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnClose();
	afx_msg void OnChkPings();
	afx_msg void OnChkPongs();
	afx_msg void OnPushes();
	afx_msg void OnChkQueries();
	afx_msg void OnChkQueryhits();
	afx_msg void OnChkUnknowns();
	afx_msg void OnChkGuid();
	afx_msg void OnChkHops();
	afx_msg void OnChkTtl();
	afx_msg void OnChkPayload();
	afx_msg void OnChkDropped();
	afx_msg void OnChkPushes();
	afx_msg void OnButtonFlush();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VIEWNODE_H__1AE2E5DA_1AB4_11D4_ACF2_00A0CC533D52__INCLUDED_)
