#if !defined(AFX_VIEWSEARCH_SPY_H__1AE2E5DB_1AB4_11D4_ACF2_00A0CC533D52__INCLUDED_)
#define AFX_VIEWSEARCH_SPY_H__1AE2E5DB_1AB4_11D4_ACF2_00A0CC533D52__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ViewSearchSpy.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CViewSearchSpy form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

#pragma warning (disable : 4786)

#include <list>
#include "ListCtrlEx.h"

class CViewSearchSpy : public CFormView
{
protected:
	CViewSearchSpy();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CViewSearchSpy)

// Form Data
public:
	//{{AFX_DATA(CViewSearchSpy)
	enum { IDD = IDD_VIEW_SEARCH_SPY };
	CListCtrl	m_lstResults;
	//}}AFX_DATA

// Attributes
public:

	// Add Search term to window.
	void AddSearchTerm( CString searchText );

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CViewSearchSpy)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

private:
	// True iff we're ignoring search results.
	bool m_paused;

// Implementation
protected:
	CGnucleusDoc *Doc;
	CGnuControl  *Comm;

	virtual ~CViewSearchSpy();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CViewSearchSpy)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnPauseResume();
	afx_msg void OnCopySearch();
	afx_msg void OnDblclkListSearchResults(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VIEWSEARCH_SPY_H__1AE2E5DB_1AB4_11D4_ACF2_00A0CC533D52__INCLUDED_)
